<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


class Objekt extends Datamodul
{
  public $bezeichnung;
  public $bemerkung;
  public $objekt_art_id;
  public $menge;
  public $gewicht;
  public $inventar_betrag;
  public $lager_ort_id;
  public $inventar_nr;
  public $serien_nr;
  public $objekt_klassif_id;
  public $anschaffung_datum;
  public $anschaffung_kosten;
  public $va_alternativ;
  public $va_nr;
  public $va_typ;
  public $info;
  public $nicht_verfuegbar;
  public $web_anzeige_von;
  public $web_anzeige_bis;
  public $konto;
  public $kostenstelle;
  public $barcodetext;
  public $herdt_datenquelle;
  public $herdt_externe_id;
  public $herdt_titel_lang;
  public $herdt_lieferant_text;
  public $untertitel;
  public $autor;
  public $hlverlag_id;
  public $erscheinungsort;
  public $auflage;
  public $erscheinungsjahr;
  public $isbn;
  public $hlsprache_id;
  public $hlmandant_id;
  public $sort;
  public $verkaeuflich;
  public $verleihbar;
  public $intern_einsetzbar;
  public $inventar;
  public $bearbeiter;
  public $bearbdatum;
  public $erfasstvon;
  public $erfasstam;
  public $artikel_nr;
  public $lieferzeit;
  public $nicht_verfuegbar_text;
  public $erscheinungsdatum;
  public $versandtyp;

  public function getTyp($pFieldName)
  {
    switch ($pFieldName) {
      default:
        return parent::getTyp($pFieldName);
      case 'anschaffung_datum':
      case 'web_anzeige_von':
      case 'web_anzeige_bis':
      case 'bearbdatum':
      case 'erfasstam':
      case 'erscheinungsdatum':
        return \DatamodulVarType::TYPE_DATE;
      case 'objekt_art_id':
      case 'menge':
      case 'lager_ort_id':
      case 'objekt_klassif_id':
      case 'va_nr':
      case 'hlverlag_id':
      case 'auflage':
      case 'erscheinungsjahr':
      case 'hlsprache_id':
      case 'hlmandant_id':
      case 'sort':
      case 'versandtyp':
        return \DatamodulVarType::TYPE_INT;
      case 'nicht_verfuegbar':
        return \DatamodulVarType::TYPE_BOOL_WF;
    }
  }

  public function getVarValue($name)
  {
    switch ($name) {
      default:
        return parent::getVarValue($name);
      case 'versandtyp_text':
        return ConstantOperations::getVersandTypText($this->versandtyp);
      case 'is_pauschal_versand':
        return $this->versandtyp == '1';
    }
  }
}